SWAP_BUF_LE16(9)

NAME
swap_buf_le16 - swap halves of 16-words in place

SYNOPSIS

void swap_buf_le16 (u16 * buf, unsigned int buf_words);

ARGUMENTS

buf Buffer to swap

buf_words
    Number of 16-bit words in buffer.

DESCRIPTION

Swap halves of 16-bit words if needed to convert from little-endian byte order to native cpu byte order, or vice-versa.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.